////////////////////////////////////////////////////////
//Beispiel aus Kapitel Bibliotheken
//Erster einfacher Sketch zum Thema Simplex-Noise (2D)
//In einem gläsernen Behälter sieht man von der Seite
//wie (ungedämpfte) Wasser-Wellen aussehen.
//////////////////////////////////////////////////////

import toxi.math.noise.*;//toxiclibs math.noise-Bibliothek

float zeit = 0.0; //start der Beobachtung      
void setup() {
  size(640, 360);
}

void draw() {
  background(255);
  fill(0,0,255);
  //für jede Zeit ein Wellen-Polygon zeichnen 
  beginShape(); 
    float weg = 0;      
    // Iteration über den Weg
    for (float x = 0; x <= width; x += 10) {
      // zugehörigen y-Wert berechnen 
      //= Höhe der Welle an der Stelle x zur aktuellen Zeit
      float y = map((float)SimplexNoise.noise(weg, zeit), -1, 1, 200,300);    
      // vertex festhalten
      vertex(x, y); 
      // Nächste Wegmarke
      weg += 0.05;
    }
    // Zeit erhöhten
    zeit += 0.01;
    vertex(width, height);//unten links
    vertex(0, height);//unten rechts
  endShape(CLOSE);
}